Loading...
Searching...
No Matches
combustion

## Detailed Description

Examples
  combustion.h, combustion_continuation.cc, combustion_keller.cc, combustion_keller_post.cc, combustion_newton.cc, and combustion_post.cc.

Definition at line 25 of file combustion.h.

## Public Types

typedef Float | float_type
typedef field | value_type

## Public Member Functions

| combustion (const geo &omega=geo(), string approx="")
void | reset (const geo &omega, string approx)
field | initial (std::string restart="")
idiststream & | get (idiststream &is, field &uh)
odiststream & | put (odiststream &os, const field &uh) const
string | parameter_name () const
float_type | parameter () const
void | set_parameter (float_type lambda1)
bool | stop (const field &xh) const
field | residue (const field &uh) const
form | derivative (const field &uh) const
field | derivative_versus_parameter (const field &uh) const
problem::determinant_type | update_derivative (const field &uh) const
field | derivative_solve (const field &mrh) const
field | derivative_trans_mult (const field &mrh) const
field | massify (const field &uh) const
field | unmassify (const field &uh) const
float_type | space_dot (const field &xh, const field &yh) const
float_type | dual_space_dot (const field &mrh, const field &msh) const

## Protected Attributes

float_type | lambda
space | Xh
form | m
problem | pm
form | a1
problem | pa1
branch | event

## Member Typedef Documentation

## float_type

typedef Float float_type

Examples
  combustion.h.

Definition at line 26 of file combustion.h.

## value_type

typedef field value_type

Examples
  combustion.h.

Definition at line 27 of file combustion.h.

## Constructor & Destructor Documentation

## combustion()

combustion | ( | const geo & | omega = `geo()`,
|  | string | approx = `""`
| ) |  |

Examples
  combustion1.icc.

Definition at line 25 of file combustion1.icc.

## Member Function Documentation

## reset()

void reset | ( | const geo & | omega,
|  | string | approx
| ) |  |

Examples
  combustion.h, combustion1.icc, and combustion_post.cc.

Definition at line 29 of file combustion1.icc.

## initial()

field initial | ( | std::string | restart = `""` | ) |

Examples
  combustion.h, combustion1.icc, combustion_continuation.cc, and combustion_newton.cc.

Definition at line 35 of file combustion1.icc.

## get()

idiststream & get | ( | idiststream & | is,
|  | field & | uh
| ) |  |

Examples
  combustion.h, combustion1.icc, and combustion_post.cc.

Definition at line 46 of file combustion1.icc.

## put()

odiststream & put | ( | odiststream & | os,
|  | const field & | uh
| ) |  | const

Examples
  combustion.h, combustion1.icc, combustion_continuation.cc, and combustion_newton.cc.

Definition at line 43 of file combustion1.icc.

## parameter_name()

string parameter_name | ( |  | ) | const

Examples
  combustion.h.

Definition at line 33 of file combustion.h.

## parameter()

float_type parameter | ( |  | ) | const

Examples
  combustion.h, and combustion_post.cc.

Definition at line 34 of file combustion.h.

## set_parameter()

void set_parameter | ( | float_type | lambda1 | ) |

Examples
  combustion.h, and combustion_newton.cc.

Definition at line 35 of file combustion.h.

## stop()

bool stop | ( | const field & | xh | ) | const

Examples
  combustion.h.

Definition at line 36 of file combustion.h.

## residue()

field residue | ( | const field & | uh | ) | const

Examples
  combustion.h, combustion2.icc, and combustion_keller_post.cc.

Definition at line 25 of file combustion2.icc.

## derivative()

form derivative | ( | const field & | uh | ) | const

Examples
  combustion.h, and combustion2.icc.

Definition at line 31 of file combustion2.icc.

## derivative_versus_parameter()

field derivative_versus_parameter | ( | const field & | uh | ) | const

Examples
  combustion.h, and combustion2.icc.

Definition at line 43 of file combustion2.icc.

## update_derivative()

problem::determinant_type update_derivative | ( | const field & | uh | ) | const

Examples
  combustion.h, combustion2.icc, and combustion_post.cc.

Definition at line 36 of file combustion2.icc.

## derivative_solve()

field derivative_solve | ( | const field & | mrh | ) | const

Examples
  combustion.h, and combustion2.icc.

Definition at line 47 of file combustion2.icc.

## derivative_trans_mult()

field derivative_trans_mult | ( | const field & | mrh | ) | const

Examples
  combustion.h, and combustion2.icc.

Definition at line 52 of file combustion2.icc.

## massify()

field massify | ( | const field & | uh | ) | const

Examples
  combustion.h.

Definition at line 43 of file combustion.h.

## unmassify()

field unmassify | ( | const field & | uh | ) | const

Examples
  combustion.h, and combustion2.icc.

Definition at line 58 of file combustion2.icc.

## space_dot()

Float space_dot | ( | const field & | xh,
|  | const field & | yh
| ) |  | const

Examples
  combustion.h, and combustion2.icc.

Definition at line 63 of file combustion2.icc.

## dual_space_dot()

Float dual_space_dot | ( | const field & | mrh,
|  | const field & | msh
| ) |  | const

Examples
  combustion.h, combustion2.icc, and combustion_keller_post.cc.

Definition at line 65 of file combustion2.icc.

## Member Data Documentation

## lambda

float_type lambda

protected

Examples
  combustion.h.

Definition at line 48 of file combustion.h.

## Xh

space Xh

protected

Examples
  combustion.h, combustion1.icc, and combustion2.icc.

Definition at line 49 of file combustion.h.

## m

form m

protected

Examples
  combustion.h, combustion1.icc, and combustion2.icc.

Definition at line 50 of file combustion.h.

## pm

problem pm

protected

Examples
  combustion.h, combustion1.icc, and combustion2.icc.

Definition at line 51 of file combustion.h.

## a1

form a1

mutable protected

Examples
  combustion.h, and combustion2.icc.

Definition at line 52 of file combustion.h.

## pa1

problem pa1

mutable protected

Examples
  combustion.h, and combustion2.icc.

Definition at line 53 of file combustion.h.

## event

branch event

mutable protected

Examples
  combustion.h, and combustion1.icc.

Definition at line 54 of file combustion.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/combustion.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/combustion1.icc
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/combustion2.icc